#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../backend
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBKCAL_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBKCAL_LIBRARY_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE bugzilla.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR kbugbuster-desktops
)


##### kcal_bugzilla (module) ####################

tde_add_kpart( kcal_bugzilla AUTOMOC
  SOURCES
    kcalresource.cpp kcalresourceconfig.cpp
    kcalresource_plugin.cpp resourceprefs.kcfgc
  LINK kbbbackend-static tdecore-shared tdeio-shared tdeabc kcal tderesources
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
